# Generated from global_phone-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name global_phone

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: Parse, validate, and format phone numbers using Google's libphonenumber database
License: MIT
URL: https://github.com/sstephenson/global_phone
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
GlobalPhone parses, validates, and formats local and international phone
numbers according to the E.164 standard using the rules specified in Google's
libphonenumber database.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Tue Apr 19 2022 mockbuilder - 1.0.1-1
- Initial package
